Skip to main content
GET
/
v1
/
emails
/
{id}
Get email by ID
curl --request GET \
  --url https://api.emailr.dev/v1/emails/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "message_id": "<string>",
  "from_email": "jsmith@example.com",
  "to_email": "jsmith@example.com",
  "subject": "<string>",
  "html_content": "<string>",
  "text_content": "<string>",
  "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "sent",
  "ses_message_id": "<string>",
  "broadcast_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": {},
  "sent_at": "2023-11-07T05:31:56Z",
  "delivered_at": "2023-11-07T05:31:56Z",
  "opened_at": "2023-11-07T05:31:56Z",
  "clicked_at": "2023-11-07T05:31:56Z",
  "bounced_at": "2023-11-07T05:31:56Z",
  "complained_at": "2023-11-07T05:31:56Z",
  "scheduled_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parent_email_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "attachments": [
    "<unknown>"
  ],
  "clicked_links": [
    "<unknown>"
  ],
  "opens": [
    "<unknown>"
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Use your API key as the bearer token.

Path Parameters

id
string<uuid>
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Email details

id
string<uuid>
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

organization_id
string<uuid>
required
message_id
string
required
from_email
string<email>
required
to_email
string<email>
required
subject
string | null
required
html_content
string | null
required
text_content
string | null
required
template_id
string<uuid> | null
required
status
string
required
Example:

"sent"

ses_message_id
string | null
required
broadcast_id
string<uuid> | null
required
metadata
object
required
sent_at
string<date-time> | null
required
delivered_at
string<date-time> | null
required
opened_at
string<date-time> | null
required
clicked_at
string<date-time> | null
required
bounced_at
string<date-time> | null
required
complained_at
string<date-time> | null
required
scheduled_at
string<date-time> | null
required
created_at
string<date-time>
required
thread_id
string<uuid> | null
required
parent_email_id
string<uuid> | null
required
attachments
any[] | null
required
opens
any[] | null
required